import { defineComponent, reactive, resolveComponent, resolveDirective, mergeProps, useSSRContext } from "vue";
import { useStore } from "vuex";
import { _ as _sfc_main$1 } from "./banner-Bjm1R_JU.js";
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrRenderList, ssrInterpolate, ssrGetDirectiveProps } from "vue/server-renderer";
import { _ as _export_sfc } from "../entry-server.js";
import "vue-router";
import "element-plus";
import "axios";
import "vue3-lazy";
const _sfc_main = defineComponent({
  setup() {
    const store = useStore();
    function go_down() {
      globalThis.scrollTo({
        top: globalThis.innerHeight,
        behavior: "smooth"
      });
    }
    return { store, go_down };
  },
  components: {
    banner: _sfc_main$1
  },
  asyncData({ store, route }) {
    let params = reactive(route.value);
    return store.dispatch("getMenuList").then(() => {
      const data = reactive(store.state.menuList);
      let paramsData = reactive({
        params: {
          categoryid: 0,
          pageNum: 1,
          pageSize: 100,
          order: "sortindex"
        },
        index: "",
        sub: 0
      });
      for (let i = 0; i < data.length; i++) {
        if (!data[i].sname && route.value.path == data[i].path || !data[i].sname && data[i].path == "/index") {
          paramsData = {
            params: {
              categoryid: data[i].id,
              pageNum: 1,
              pageSize: 100,
              order: "sortindex"
            },
            index: params.path,
            sub: i
          };
          if (params.path == "/index" || params.path == "/") {
            paramsData.params.categoryid = data[i].id;
          }
          return store.dispatch("getPageData", paramsData);
        }
      }
    });
  }
});
function _sfc_ssrRender(_ctx, _push, _parent, _attrs, $props, $setup, $data, $options) {
  const _component_banner = resolveComponent("banner");
  const _directive_lazy = resolveDirective("lazy");
  _push(`<div${ssrRenderAttrs(mergeProps({ class: "pageContain" }, _attrs))}><div class="video-section">`);
  _push(ssrRenderComponent(_component_banner, null, null, _parent));
  _push(`<div class="video-des"><div class="des1"><p class="animate__animated animate__fadeInUp">公司成立<span class="num1">20年</span>，围绕行业细分，累计服务超过 <span class="num1">5000</span> 家企业，近<span class="num1"> 10万 </span>个用户</p></div><div class="des2 desCom animate__animated animate__flipInX" style="${ssrRenderStyle({ "top": "43%", "left": "0", "width": "100%", "text-align": "center" })}"><p>核心价值观</p><span>一起梦想，一起成长，一起分享</span></div><div class="des3 desCom animate__animated animate__lightSpeedInLeft" style="${ssrRenderStyle({ "top": "65%", "left": "20%" })}"><p>企业使命</p><span>用数字化手段助力客户融入数智时代</span></div><div class="des4 desCom animate__animated animate__lightSpeedInRight" style="${ssrRenderStyle({ "top": "65%", "right": "25%" })}"><p>企业愿景</p><span>成为智慧数字产业的领跑者</span></div></div><span class="go_down"></span></div>`);
  if (_ctx.store.state.pageContent.length > 0) {
    _push(`<section style="${ssrRenderStyle({ "width": "100vw" })}"><!--[-->`);
    ssrRenderList(_ctx.store.state.pageContent, (arr, index2) => {
      _push(`<div class="whyUs-section pt-60 pb-60" style="${ssrRenderStyle({ background: index2 % 2 == 1 ? "#F4F8FD" : "#fff" })}"><div class="container"><div class="section-title text-center both-border pb-20"><span class="title-tag">${ssrInterpolate(arr.title)}</span><span class="mb-30">${ssrInterpolate(arr.zhaiyao)}</span></div>`);
      if (arr.image) {
        _push(`<div class="row aboutOnlyText" style="${ssrRenderStyle([{ padding: index2 % 2 == 1 ? "40px 25px" : " 40px 25px" }, { "background-color": "#ffff", "box-shadow": "0px 10px 20px 10px rgb(179 202 216 / 20%)", "align-items": "center" }])}"><div class="col-md-6 pr-40 aboutImg text-center"><img${ssrRenderAttrs(mergeProps({ alt: "" }, ssrGetDirectiveProps(_ctx, _directive_lazy, arr.image)))}></div><div class="col-md-6">${arr.content}</div></div>`);
      } else {
        _push(`<div class="aboutOnlyText row text-center" style="${ssrRenderStyle([{ padding: index2 % 2 == 1 ? "" : "0 " }, { "background-color": "#ffff" }])}"><div class="about-text-image">${arr.content}</div></div>`);
      }
      _push(`</div></div>`);
    });
    _push(`<!--]--></section>`);
  } else {
    _push(`<!---->`);
  }
  _push(`</div>`);
}
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("src/views/index/index.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const index = /* @__PURE__ */ _export_sfc(_sfc_main, [["ssrRender", _sfc_ssrRender]]);
export {
  index as default
};
